客户端远程连接工具及版本说明

更新时间: 2024-01-31 18:24:33

本文介绍使用Windows或Mac系统中的客户端连接堡垒机运维资产时,堡垒机兼容的客户端远程连接工具及版本说明。

重要

为确保堡垒机系统的稳定性和安全性,请您使用本文推荐的客户端工具连接堡垒机,以防连接失败或对系统稳定性造成影响,且使用不推荐的客户端不在SLA承诺的保障范围内。

例如,当您在使用FinalShell连接堡垒机时,会在短时间内产生大量的exec会话连接,从而影响您的正常会话和使用。若您坚持使用FinalShell,需取消勾选Exec Channel功能,以最大程度保障运维的连接效果。

协议类型

系统

客户端远程连接工具及其版本

SSH

Windows

Xshell 5及以上版本、PuTTY 0.6、SecureCRT 8.1或8.5、MobaXterm 11.0及以上版本

Mac

Terminal、iTerm2、ZOC 8

RDP

Windows

Mstsc 6.x及以上版本

Mac

Microsoft Remote Desktop 10.0及以上版本

SFTP

Windows

Xftp 5及以上版本、MobaXterm 11.0及以上版本、WinSCP 5.17.2或5.19.4、SecureFX 8.1或8.5、FlashFXP 3.7.9或5.4.0

Mac

SecureFX 8.1或8.5

MySQL

Windows

DBeaver 21及以上版本(仅支持MySQL 5.7及以上版本),DbVisualizer 12.1.9或13.0.1(仅支持MySQL 5.7及以上版本),Navicat Premium 12或15,Navicat For MySQL 12或15

Mac

DBeaver 21及以上版本(仅支持MySQL 5.7及以上版本),DbVisualizer 12.1.9或13.0.1(仅支持MySQL 5.7及以上版本)

SQL Server

Windows

DBeaver 21及以上版本,Navicat Premium 12或15,Navicat For SQL Server 15

Mac

DBeaver 21及以上版本

PostgreSQL

Windows

DBeaver 21及以上版本,DbVisualizer 12.1.9

Mac

DBeaver 21及以上版本,DbVisualizer12.1.9

Oracle

Windows

Navicat Premium15或16,Navicat for Oracle 15或16,DBeaver 21.3.5或22.2.3

Mac

Navicat Premium15或16,Navicat for Oracle 15或16,DBeaver 21.3.5或22.2.3

相关文档

运维相关问题

阿里云首页 运维安全中心(堡垒机) 相关技术圈